<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <title>JSDoc: Class: Sessions</title>

    <script src="scripts/prettify/prettify.js"> </script>
    <script src="scripts/prettify/lang-css.js"> </script>
    <!--[if lt IE 9]>
      <script src="//html5shiv.googlecode.com/svn/trunk/html5.js"></script>
    <![endif]-->
    <link type="text/css" rel="stylesheet" href="styles/prettify-tomorrow.css">
    <link type="text/css" rel="stylesheet" href="styles/jsdoc-default.css">
</head>

<body>

<div id="main">

    <h1 class="page-title">Class: Sessions</h1>

    




<section>

<header>
    
        <h2><span class="attribs"><span class="type-signature"></span></span>Sessions<span class="signature">()</span><span class="type-signature"></span></h2>
        
            <div class="class-description"><p>Refers to a session document.
opens Control on openDocument</p></div>
        
    
</header>

<article>
    <div class="container-overview">
    
        

    
    <h2>Constructor</h2>
    

    
    <h4 class="name" id="Sessions"><span class="type-signature"></span>new Sessions<span class="signature">()</span><span class="type-signature"></span></h4>
    

    















<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="control_session.js.html">control/session.js</a>, <a href="control_session.js.html#line5">line 5</a>
    </li></ul></dd>
    

    

    

    
</dl>


















    
    </div>

    

    

    

    

    

    

    

    
        <h3 class="subsection-title">Methods</h3>

        
            

    

    
    <h4 class="name" id=".launch"><span class="type-signature">(static) </span>launch<span class="signature">(level<span class="signature-attributes">opt</span>)</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    <p>alert with session launch options
open control session page when loaded</p>
</div>









    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        
        <th>Attributes</th>
        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>level</code></td>
            

            <td class="type">
            
                
<span class="param-type">string</span>


            
            </td>

            
                <td class="attributes">
                
                    &lt;optional><br>
                

                

                
                </td>
            

            

            <td class="description last"><p>name of level the session will be based on. If none, user will be prompted to choose level.</p></td>
        </tr>

    
    </tbody>
</table>






<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="control_session.js.html">control/session.js</a>, <a href="control_session.js.html#line71">line 71</a>
    </li></ul></dd>
    

    

    

    
</dl>


















        
            

    

    
    <h4 class="name" id="openDocument"><span class="type-signature"></span>openDocument<span class="signature">()</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    <p>open the session control page</p>
</div>













<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="control_session.js.html">control/session.js</a>, <a href="control_session.js.html#line50">line 50</a>
    </li></ul></dd>
    

    

    

    
</dl>


















        
    

    

    
</article>

</section>




</div>

<nav>
    <h2><a href="index.html">Home</a></h2><h3>Classes</h3><ul><li><a href="Collection.html">Collection</a></li><li><a href="Control.html">Control</a></li><li><a href="Editor.html">Editor</a></li><li><a href="FileMenu.html">FileMenu</a></li><li><a href="Form.html">Form</a></li><li><a href="Level.html">Level</a></li><li><a href="Overview.html">Overview</a></li><li><a href="Plugins.html">Plugins</a></li><li><a href="Routing.html">Routing</a></li><li><a href="SessionControl.html">SessionControl</a></li><li><a href="Sessions.html">Sessions</a></li></ul><h3>Namespaces</h3><ul><li><a href="socket.html">socket</a></li></ul><h3>Global</h3><ul><li><a href="global.html#addGame">addGame</a></li><li><a href="global.html#confirmation">confirmation</a></li><li><a href="global.html#control">control</a></li><li><a href="global.html#createGame">createGame</a></li><li><a href="global.html#CueBar">CueBar</a></li><li><a href="global.html#CueButton">CueButton</a></li><li><a href="global.html#editor">editor</a></li><li><a href="global.html#form">form</a></li><li><a href="global.html#generateUUID">generateUUID</a></li><li><a href="global.html#inputPrompt">inputPrompt</a></li><li><a href="global.html#namespace">namespace</a></li><li><a href="global.html#removeGame">removeGame</a></li><li><a href="global.html#routing">routing</a></li><li><a href="global.html#showSessions">showSessions</a></li><li><a href="global.html#TabButton">TabButton</a></li></ul>
</nav>

<br class="clear">

<footer>
    Documentation generated by <a href="https://github.com/jsdoc3/jsdoc">JSDoc 3.5.5</a> on Tue Dec 17 2019 17:22:15 GMT+0100 (CET)
</footer>

<script> prettyPrint(); </script>
<script src="scripts/linenumber.js"> </script>
</body>
</html>